Navigation and Information Commands

#### Search Results

Search

# Navigation and Information Commands

This section describes the direct commands the debugger provides for navigating through the debugging areas, scrolling screen displays, obtaining various information on objects and variables, and specifying profiles. For a summary of all commands available with the debugger, refer to Command Summary and Syntax.

- BREAK

- FLIP

- LAST

- OBJCHAIN

- ON/OFF

- PROFILE

- SCAN

- SCREEN

- SET OBJECT

- STACK

- SYSVARS

- TEST ON/OFF

## BREAK

The command `BREAK` is the default command which is automatically set when creating a new debug entry. It displays the Debug Break window described in Debug Break Window in the section Concepts of the Debugger.

When the command `BREAK` is deleted upon modification of the corresponding debug entry, no Debug Break window appears. However, other specified commands are executed and the event count is increased.

## FLIP

The command `FLIP` switches between the display of the two PF-key lines (PF1 to PF12 and PF13 to PF24).

## LAST

The command `LAST` displays the command last entered. The last three commands are stored and can be recalled.

## OBJCHAIN

The command `OBJCHAIN` can only be used when a Natural object has been interrupted.

This command displays the objects on the current level and all superior levels, as well as the current GDA (global data area), if applicable, and provides information on the interruption.

## ON/OFF

When you enter the command `ON` or `OFF` in the debugger, test mode is switched on or off respectively. See also TEST ON/OFF.

## PROFILE

The command `PROFILE` displays the User Profile screen where you can modify the profile of the debugger.

### User Profile Screen

The User Profile screen provides the following options:

Option | Explanation
--- | ---
Reset debug environment automatically on exit | Specifies an automatic reset of your current debug environment once you exit the debugger. The default is `N` (No).
File for loading/saving debug environments | Specifies to/from which system file debug environments are to be saved/loaded: `FUSER` (default), `FNAT` or `SPAD` (scratch-pad file).
Confirm EXIT/CANCEL before execution | Specifies a confirmation of an `EXIT` or `CANCEL` command before execution. The default is `N` (No).
Stack unknown commands | Specifies that any unknown debug command which is entered (for example, the name of a called program) is to be stacked. If so, once you enter an unknown debug command, you immediately exit the debugger and the command is executed. If this option has not been specified, an unknown debug command leads to a corresponding error message. The default is `Y` (Yes).
Output device | Specifies a printer for the functions Call statistics maintenance (see Print Objects) and Statement execution statistics maintenance (see Print Statements). The default value is `HARDCOPY`. If you want to route the output to another printer, replace `HARDCOPY` by a valid printer name provided by your Natural system administrator.
Maximum debug buffer size in KB | Specifies the maximum size (in kilobytes) of the debug buffer. The debug buffer is automatically enlarged as required, but only up to the specified maximum. Enter `0` to indicate no limit or enter a value from 4 - 16384 (must be a multiple of 4). If the limit would be exceeded, no further debug entries can be defined and no additional call or statement execution statistics entries are generated.

## SCAN

Only applies to the List object source function (see List Object Source).

This command searches for a string of characters within an object source:

- `SCAN` searches for the value specified which may be delimited by blanks or any characters that are neither letters nor numeric characters.

- `SCAN ABS` results in an absolute scan of the source code for the specified value regardless of what other characters may surround the value.

See also the syntax diagrams in Command Summary and Syntax.

## SCREEN

When you enter the command `SCREEN` upon interruption of a Natural object, the current screen output of the interrupted Natural object is displayed. ENTER takes you back to debug mode.

## SET OBJECT

The command `SET OBJECT` changes the name of the default object as described in the relevant section in Start the Debugger. See also the syntax of `SET` in the section Command Summary and Syntax.

## STACK

When you enter the command `STACK`, the contents of the entry at the top of the Natural stack is displayed. Up to 15 individual top entry elements can be displayed. Elements longer than 55 characters are truncated and marked with an asterisk (*).

Note
An error message is displayed if any single element is longer than 249 characters.

## SYSVARS

When you enter this command, the current values of a limited set of system variables are displayed.

## TEST ON/OFF

The command `TEST ON` or `TEST OFF` switches test mode on or off respectively. In the debugger, you only need to enter `ON` or `OFF` as described above.

Note
The `TEST` command can be disallowed by Natural Security as described in Command Restrictions in the section Library Maintenance in the Natural Security documentation.

### On this page

- BREAK
- FLIP
- LAST
- OBJCHAIN
- ON/OFF
- PROFILE
- SCAN
- SCREEN
- SET OBJECT
- STACK
- SYSVARS
- TEST ON/OFF